[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetInitialBounds

Sets the bounds of the control initially, when it is created

## Declaration

Source position: controls.pp line 1283

`public procedure TControl.SetInitialBounds(`
`aLeft: Integer;`
`aTop: Integer;`
`aWidth: Integer;`
`aHeight: Integer`
`); virtual;`

## Arguments

`aLeft` |  | X co-ordinate of top left pixel
`aTop` |  | Y co-ordinate of top left pixel
`aWidth` |  | Width of control
`aHeight` |  | Height of control

## Description

Checks that this is a new control, then calls SetBounds to set up coordinates defining its position

## See also

SetBounds |  | Sets the bounds (top. left, height, width) of the control.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.